seamonkey 2.0 crashes with 'RenderBadPicture' diagnostics

Bug #575160 reported by Wladimir Mutel on 2010-05-04
132
This bug affects 20 people
Affects Status Importance Assigned to Milestone
seamonkey (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
Karmic
High
Unassigned
Lucid
High
Micah Gersten
Maverick
High
Unassigned
seamonkey (openSUSE)
Fix Released
Medium

Bug Description

Binary package hint: seamonkey

Here is the sample of what it puts on stderr :

The program 'seamonkey-2.0-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 44694 error_code 172 request_code 152 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

As I understand from Google searches, this usually happens when Seamonkey is linked to system-wide Cairo library, not to its own modified copy of Cairo. With official SM 2.0 from Lucid repositories, this happens quite often.

Earlier I used Seamonkey 2.0 from Joe-NationNet PPA and it did not crash this often at all.
May be it is worth to compromise to Seamonkey developer demands and link to its bundled&modified Cairo version, not to the system-wide one.

My kernel is 2.6.32-21-generic x86_64 , and my video driver is NVidia proprietary v. 195.36.15-0ubuntu2
Ubuntu 10.04 64bit with all recent updates, freshly rebooted.

CVE References

Micah Gersten (micahg) wrote :

This is actually because of the same cause as Bug #531719, but since that one was for Eclipse, I'm not going to update it. We'll use this as the tracking bug for this issue in Seamonkey.

Changed in seamonkey (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → High
status: New → Triaged
NoOp (glgxg) wrote :

I've marked Bug #576082 as a duplicate of this report.

Just checked ~/.xsession-errors.old and found:

The program 'seamonkey-2.0-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 4062166 error_code 173 request_code 152 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
deliver mode: 0

$ apt-cache policy xulrunner-1.9.2
xulrunner-1.9.2:
  Installed: 1.9.2.3+nobinonly-0ubuntu2
  Candidate: 1.9.2.3+nobinonly-0ubuntu2
  Version table:
 *** 1.9.2.3+nobinonly-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

Micah Gersten (micahg) wrote :

@NoOp
Thanks. The problem is the internal copy of xulrunner-1.9.1 in Seamonkey 2, not the system version of xulrunner-1.9.2 which is fixed.

NoOp (glgxg) wrote :

Or perhaps the implementation/build in the Ubuntu 2.0 version? Reason for question is that like Wladimir I experience no such crashes when using the standard mozilla SeaMonkey versions (running from a home folder) or the builds from
https://launchpad.net/~seamonkey2/+archive/seamonkey2
or even 2.0.5 from
https://launchpad.net/~seamonkey2/+archive/seamonkey2-pre

Note: the question is not intended to insult nor state that one build is better than the other. I'm simply stating that I've not experienced the same in the other builds. The key problem is that I can't get any details from such a crash in order to provide useful information for debugging when running the Ubuntu 2.0 version. Further, the crash typically only occurs under heavy daily use (as far as I can tell), so it becomes a catch-22 situation; run, crash, possibly lose valuable work, restart. I'm happy to _try_ to help troubleshoot (I have mirrored ~/.mozilla machines), but without any crash details the best I could possibly report is as provided in comment #4. If you can provide detailed steps on how you'd like me to test I'll be happy to give it a try - the only way that I can thing of is to run SM in gdb mode. That's slow, but may work? Suggestions?

It's not a build issue. He's not using system cairo and we are at the
moment. This specific crash is due to using xulrunner-1.9.1 app
(Seamonkey 2) with cairo >= 1.8.10

On 05/06/2010 07:11 PM, NoOp wrote:
> Or perhaps the implementation/build in the Ubuntu 2.0 version? Reason for question is that like Wladimir I experience no such crashes when using the standard mozilla SeaMonkey versions (running from a home folder) or the builds from
> https://launchpad.net/~seamonkey2/+archive/seamonkey2
> or even 2.0.5 from
> https://launchpad.net/~seamonkey2/+archive/seamonkey2-pre
>
>

On 05/06/2010 08:07 PM, Micah Gersten wrote:
> It's not a build issue. He's not using system cairo and we are at the
> moment. This specific crash is due to using xulrunner-1.9.1 app
> (Seamonkey 2) with cairo >= 1.8.10
>
> On 05/06/2010 07:11 PM, NoOp wrote:
>> Or perhaps the implementation/build in the Ubuntu 2.0 version? Reason for question is that like Wladimir I experience no such crashes when using the standard mozilla SeaMonkey versions (running from a home folder) or the builds from
>> https://launchpad.net/~seamonkey2/+archive/seamonkey2
>> or even 2.0.5 from
>> https://launchpad.net/~seamonkey2/+archive/seamonkey2-pre

And... how can I help troubleshoot and/or provide feedback that can be
used to assist?
  This is pretty much a one time offer as I simply can't afford to
continue to run the Ubuntu 2.0 version in a live environment, nor can I
suggest that my users do so with crashes that offer no /var/crash logs
and/or information. For the interim I'll keep my users (personal and
commercial) on standard mozilla or https://launchpad.net/~seamonkey2/
builds for the moment.

There's no need. We know what the issue is and are trying to resolve
it before the next release next week. If it's fixed, you'll see this
bug resolved. Thank you for the offer of assistance though.

On 05/06/2010 10:33 PM, NoOp wrote:
> And... how can I help troubleshoot and/or provide feedback that can be
> used to assist?
> This is pretty much a one time offer as I simply can't afford to
> continue to run the Ubuntu 2.0 version in a live environment, nor can I
> suggest that my users do so with crashes that offer no /var/crash logs
> and/or information. For the interim I'll keep my users (personal and
> commercial) on standard mozilla or https://launchpad.net/~seamonkey2/
> builds for the moment.
>

Changed in seamonkey (Ubuntu Lucid):
importance: Undecided → Medium
status: New → Triaged
assignee: nobody → Micah Gersten (micahg)
importance: Medium → High

My Thinkpad T43 is affected too.
'~$ uname -a; Linux T43 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010 i686 GNU/Linux.'

cs224 (christian-schuhegger) wrote :

I am affected, too!
Linux i7 2.6.33-02063303-generic #02063303 SMP Tue Apr 27 11:10:42 UTC 2010 x86_64 GNU/Linux

Micah Gersten (micahg) wrote :

Does anyone have reproducible steps so that we can test a fix for this?

cs224 (christian-schuhegger) wrote :

I only noticed a strong correlation between switching between using the browser and e-mails. I still did not find a 100% pattern yet.

yamo (stephane-gregoire) wrote :

After the crash I have seen this in dmesg (I don't have the Ubuntu application witch shows the log files on this netBook and I don't know how installing it) :

[11690.176971] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[11700.772120] wlan0: no IPv6 routers present
[12501.608625] ath9k: Failed to stop TX DMA in 100 msec after killing last frame
[12501.608686] ath9k: Unable to stop TxDMA. Reset HAL!
[12768.537076] i2c /dev entries driver
[15673.021010] hda-intel: azx_get_response timeout, switching to polling mode: last cmd=0x020c0000

If it help you..

No, at this point we need steps to reproduce if possible.

On 05/28/2010 06:36 AM, yamo wrote:
> After the crash I have seen this in dmesg (I don't have the Ubuntu
> application witch shows the log files on this netBook and I don't know
> how installing it) :
> <snip />
>
> If it help you..
>
>

yamo (stephane-gregoire) wrote :

This is with
cairo/1.8.10-1 and I have 1.8.10-2ubuntu, I can't downgrade , I will try experimental package from Debian, 1.9.6-6 : <http://packages.debian.org/search?keywords=libcairo2>

Or how downgrading with Ubuntu lucid?

yamo (stephane-gregoire) wrote :

Hi,
I just have seen this morning that I have a crash file, I don't know if it's the same bug.

Micah Gersten (micahg) wrote :

@yamo

I'm not sure, do you have steps to reproduce the crash? We know the why, but not how to test at this point.

Hi,

Micah Gersten a tapoté, le 30/05/2010 11:06:
> I'm not sure, do you have steps to reproduce the crash? We know the
> why, but not how to test at this point.
>

If it's the same bug as debian bug, to test the bug perhaps without
using tabs there will not be a crash..

I'm not sure the bug is from mail, somebody should test to not using
tabs at all on a test profile.

Sorry for my bad english.

--
Stéphane Grégoire
<email address hidden>
http://pasdenom.info

It's not related to tabs.

With only a mail windows and a web window without any tabs, closing web windows made seamonkey crash!

Nomax (nomax) wrote :

I don't know how to reproduce the crash but it happens quite often and only during user interaction (clicking a link, closing a tab)... The crash won't happen as long as you leave SeaMonkey idle for a while (even with many tabs open). It seems to happen on 64-bit systems only.

The best step to reproduce the crash is very active browsing; open many tabs, click on every link you see and chances are that it will crash pretty quickly... If it doesn't for a long active session, then it's fixed.

I use it daily and all day long so I'll be happy to test it for you... Just tell me what I have to do to install the test build.

Linux 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:28:05 UTC 2010 x86_64 GNU/Linux

Martin Smat (msmat) wrote :

@Nomax
It affects 32-bit systems too:
Linux 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010 i686 GNU/Linux

Nomax (nomax) wrote :

@Martin Swat

Sorry to hear that. Looks like I didn't test on 32-bit system long enough... :-/
Sincere apologies.

Nomax (nomax) wrote :

By the way, could the problem be that SeaMonkey 2.0.4 is designed for xulrunner 1.9.1.9 and that xulrunner version installed on Ubuntu 10.04 is 1.9.2.3 (which is the one used by Firefox 3.6.3)?

If so, SeaMonkey 2.0.5 will fix this if it uses the same xulrunner version as next Firefox (since they will be released simultaneously).

Hi,
Nomax a tapoté, le 01/06/2010 16:39:
> I don't know how to reproduce the crash but it happens quite often and
> only during user interaction (clicking a link, closing a tab)... The
> crash won't happen as long as you leave SeaMonkey idle for a while (even
> with many tabs open). It seems to happen on 64-bit systems only.
>

I have a 64bit and a 32bits system and I never seen the 64 bit seamonkey
crashing!

I sometime see seamonkey 32bits crashing when doing another thing witch
is expensive in cpu but nothing with seamonkey!

May it be a fault to an extension or a plugin?

seamonkey 32 crashing plugins :

    * silverlight 4.0.41108.0
    * default plugin
    * demo print plugin for unix/linux
    * totem 2.30.2
    * flash 10.0 r45
    * iTunes Application Detector
    * IcedTea 6b18-1.8-0ubuntu1
    * gxine starter plugin

seamonkey 64 not crashing plugins :

    * Silverlight Plug-In 3.0.40818.0
    * Shockwave Flash 10.0 r45
    * default plugin
    * demo print plugin for unix/linux
    * totem 2.30.2
    * DivX Web Player version 1.4.0.233
    * vlc Version 1.0.6 Goldeneye, copyright 1996-2007 The VideoLAN Team
    * iTunes Application Detector
    * IcedTea6 6b18-1.8-0ubuntu1
    * Shockwave Flash 10.0 r32

seamonkey 64 not crashing extensions

    * Adblock Plus 1.2
    * Adblock Plus: Element Hiding Helper 1.0.6
    * Autofill Forms 0.9.5.2
    * British English Dictionary 1.19
    * Bugmail 1.6.1
    * ChatZilla 0.9.86
    * Context Highlight 0.3.1
    * Copy Plain Text 0.3.3
    * Dictionnaire français «Classique» 3.5
    * DOM Inspector 2.0.5
    * En-têtes HTTP en direct 0.16
    * Firebug 1.5.0
    * Flashblock 1.3.15a2
    * FlashGot 1.2.1.22
    * Forecastbar Enhanced 0.9.6
    * FxIF 0.4.1
    * JavaScript Debugger 0.9.87.4
    * Lightning 1.0b2pre
    * Mnenhy 0.8.2
    * Nightly Tester Tools 2.0.3.1
    * NoScript 1.9.9.81
    * Novell Moonlight 2.2
    * Provider for Google Calendar 0.6b2pre
    * SeaMonkey Debug and QA UI 1.0pre
    * Timezone Definitions for Mozilla Calendar 1.2009p
    * User Agent Switcher 0.7.2.1
    * ViewAbout 2.0

seamonkey 32 crashing extensions

    * Adblock Plus 1.2
    * Adblock Plus: Element Hiding Helper 1.0.6
    * Autofill Forms 0.9.5.2
    * AutoPager 0.6.1.6
    * British English Dictionary 1.19
    * ChatZilla 0.9.86
    * Context Highlight 0.3.1
    * Copy Plain Text 0.3.3
    * Dict 0.6.76
    * DictionarySearch 3.6.1
    * Dictionnaire français «Classique» 3.5
    * Dictionnaire français «Classique» 3.7
    * DOM Inspector 2.0.5
    * En-têtes HTTP en direct 0.16
    * Firebug 1.5.4
    * FlashGot 1.2.1.22
    * Forecastbar Enhanced 0.9.6
    * FxIF 0.4.1
    * JavaScript Debugger 0.9.87.4
    * Lightning 1.0b1
    * Mnenhy 0.8.2
    * Nightly Tester Tools 2.0.3.1
    * Novell Moonlight 2.99.0.6
    * ReloadEvery 3.6.3
    * SeaMonkey Debug and QA UI 1.0pre
    * Timezone Definitions for Mozilla Calendar 1.2009p
    * User Agent Switcher 0.7.2.1

_____________________________
Stéphane
<http://pasdenom.info/fortune/>
--

L'amour ôte l'esprit à ceux qui en ont et en donne à ceux qui n'en ont
pas.
 -+- Denis Diderot -+-

The crash seems to append after closing some tabs or a window of seamonkey.

Brijam (brian-opensourcery) wrote :

It seems to happen to me closing or switching tabs, but also when scrolling. I'm inclined to think it has something to do with displaying certain kinds of images.

Bryce Nesbitt (bryce2) wrote :

I get this primarily when closing tabs

*** NSPlugin Viewer *** WARNING: unhandled variable 18 (<unknown variable>) in NPN_GetValue()
The program 'seamonkey-2.0-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 3276742 error_code 158 request_code 148 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
*** NSPlugin Viewer *** WARNING: unhandled variable 18 (<unknown variable>) in NPN_GetValue()

Bryce Nesbitt (bryce2) wrote :

Apport does NOT catch this crash
https://wiki.ubuntu.com/Apport

Nomax (nomax) wrote :

SeaMonkey 2.0.5 is out now. Didn't test yet but chances are it uses the same xulrunner version as Firefox fixing the issue.

Brijam (brian-opensourcery) wrote :

Great. Any idea when we'll see 2.0.5 in the lucid repos? I apt-get updated this morning and it wasn't there.

yamo (stephane-gregoire) wrote :

I had this crash when opening my website in a new tab : http://pasdenom.info/contact/

I'm still waiting for Seamonkey 2.0.5 which work fine on my 64bit PC for a long time.

Bryce Nesbitt (bryce2) wrote :

I get this quite frequently:

The program 'seamonkey-2.0-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 1828976 error_code 158 request_code 148 minor_code 7)

This is with a fully patched 10.04 LTS Lucid Lynx running:
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.9) Gecko/20100428 SeaMonkey/2.0.4

Apport does NOT catch this crash
https://wiki.ubuntu.com/Apport

User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.10) Gecko/20100506 SUSE/2.0.5-1.4 SeaMonkey/2.0.5

may be this is a duplicate of bug 598372.

rpm -qa | grep -i seamonkey
seamonkey-2.0.5-1.4.x86_64
seamonkey-irc-2.0.5-1.4.x86_64

After some browsing seamonkey crashes.
A start with gdb showed this messages:
...
[Thread 0x7f67a8eff710 (LWP 9652) exited]
[Thread 0x7f679e1ff710 (LWP 9648) exited]
[New Thread 0x7f679e1ff710 (LWP 9842)]
The program 'seamonkey-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 144736 error_code 158 request_code 148 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[Thread 0x7f679e1ff710 (LWP 9842) exited]
[Thread 0x7f67b23ef710 (LWP 9451) exited]
[Thread 0x7f67b2bf0710 (LWP 9433) exited]
[Thread 0x7f67a03ff710 (LWP 9381) exited]
[Thread 0x7f67b9299710 (LWP 9233) exited]
[Thread 0x7f67b86f4710 (LWP 9234) exited]
[Thread 0x7f67b79ff710 (LWP 9235) exited]
[Thread 0x7f67b5578710 (LWP 9238) exited]
[Thread 0x7f67b4d77710 (LWP 9239) exited]
[Thread 0x7f67b35ff710 (LWP 9244) exited]
[Thread 0x7f67b6cf9710 (LWP 9247) exited]
[Thread 0x7f67a86fd710 (LWP 9251) exited]
....

I will try to get a reasonable backtrace.

Reproducible: Sometimes

Steps to Reproduce:
1.start seamonkey
2.browse few web pages.

Created an attachment (id=375989)
backtrace of a crash with gdk_x_error: RenderBadPictrue

Created an attachment (id=375994)
backtrace of a crash with gdk_x_error: RenderBadPicture + some "up" + p *...

May be it's something like this:

<http://mail.gnome.org/archives/gtk-app-devel-list/2006-April/msg00255.html> ?

Are you using threads? If so... You may have to protect the gtk calls
you make inside the timeout function using gtk_threads_enter/leave()
pair... I haven't bothered to look into the long backtrace... So it is
just an assumption...

timeout functions are not called within the GTK lock.

timeout_fn(...)
{
   other_call();
   ....
   gtk_threads_enter();
   my_gtk_call();
   gtk_threads_leave();
}

Regards,
Santhosh.

Still not solved in Seamonkey 2.05.
I updated via Synaptic it and still crashed.

In fact, it seems a lot worse now.
Crashing more often.

(seamonkey-2.0-bin:24634): Gdk-WARNING **: XID collision, trouble ahead (this message repeats hundred of times)

(seamonkey-2.0-bin:24634): Gdk-WARNING **: XID collision, trouble ahead

(seamonkey-2.0-bin:24634): Gdk-WARNING **: XID collision, trouble ahead

(seamonkey-2.0-bin:24634): Gdk-WARNING **: XID collision, trouble ahead
deliver mode: 0
The program 'seamonkey-2.0-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 983073 error_code 172 request_code 152 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

@Marcelo Toscani Brandão
Do you have a test case we can use to reproduce the crash?

On 07/17/2010 06:41 PM, Marcelo Toscani Brandão wrote:
> In fact, it seems a lot worse now.
> Crashing more often.
>
>
> (seamonkey-2.0-bin:24634): Gdk-WARNING **: XID collision, trouble ahead (this message repeats hundred of times)
>
> (seamonkey-2.0-bin:24634): Gdk-WARNING **: XID collision, trouble ahead
>
> (seamonkey-2.0-bin:24634): Gdk-WARNING **: XID collision, trouble ahead
>
> (seamonkey-2.0-bin:24634): Gdk-WARNING **: XID collision, trouble ahead
> deliver mode: 0
> The program 'seamonkey-2.0-bin' received an X Window System error.
> This probably reflects a bug in the program.
> The error was 'RenderBadPicture (invalid Picture parameter)'.
> (Details: serial 983073 error_code 172 request_code 152 minor_code 7)
> (Note to programmers: normally, X errors are reported asynchronously;
> that is, you will receive the error a while after causing it.
> To debug your program, run it with the --sync command line
> option to change this behavior. You can then get a meaningful
> backtrace from your debugger if you break on the gdk_x_error() function.)
>
>

Strangely, it didn't crash once since the 2.0.5 update here...

Nomax (nomax) wrote :

Sorry. I spoke too soon. Just got my first crash... :-(

Sorry, as the previous version, I can't reproduce the bug.
But it seems to crash too often when looking for new wallpapers on
http://browse.deviantart.com/customization/wallpaper/
Open new wallpaper on new tab, change page on the other tab, repeat.
But not with consistency, on the same page or the same amount of clicks.

yamo (stephane-gregoire) wrote :

Hi,

I have today the bug with Ubuntu Seamonkey 2.0.5.

I had more than ten web tabs and two mail tabs opened including devianart and when closing some of them I had the bug.

(seamonkey-2.0-bin:1656): Gdk-WARNING **: XID collision, trouble ahead
The program 'seamonkey-2.0-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 3830376 error_code 158 request_code 148 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

You may try to desactivate the java plugin?

On my laptop the main difference on Ubuntu Seamonkey build and Mozilla Seamonkey build is that on Mozilla Seamonkey build java don't work* but on Mozilla Seamonkey build I don't have this bug.

* : error : LoadPlugin: failed to initialize shared library /usr/lib/jvm/java-6-openjdk/jre/lib/i386/IcedTeaPlugin.so [libxul.so: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type]

--
Sorry for my bad english.

The bug https://bugzilla.mozilla.org/show_bug.cgi?id=522635#c26
mentions a "minimal fix". I see that fix in the source of
seamonkey-2.0.6-2.1.x86_64. ( obs://build.opensuse.org/mozilla )

But it still crashes. May be it crashes less often but it still
crashes.

When I started experiencing crashing in Lucid/Seamonkey, I installed from non-official non-canonically packaged Seamonkey PPA from Joe Lesko:
https://launchpad.net/~seamonkey2/+archive/seamonkey2
And have not dropped once since.

It is truly that packaged like that, it is never going to end up in repos, but just to mention it works
as _Workaround_ until crashing is fixed in main repo.

The opensuse package seamonkey-2.0.6-2.1.x86_64 crashes.

I tried the official package:
http://ftp.df.lth.se/mozilla/seamonkey/releases/2.0.6/linux-i686/en-US/seamonkey-2.0.6.tar.bz2

rpm -e seamonkey
tar xjvf seamonkey-2.0.6.tar.bz2 -C /usr/share/
cd /usr/share/seamonkey
./seamonkey

The official 2.0.6 package does not crash.
( It's a 32bit package with a lot o local libraries )

I am also seeing this on x86 with seamonkey, but not firefox. I haven't tried eclipse or any other xulrunner apps on 11.3 yet (see e.g. bug #623444). Debian, Arch, and Ubuntu all seem to have the same bug with cairo > 1.8.8 and xulrunner 1.9.1 or seamonkey.

If I've read the various bugs correctly, the reason the official binary doesn't crash is because it doesn't use --enable-system-cairo. If backporting the 1.9.2 fix doesn't work, perhaps this is a reasonable solution?

I updated to 2.0.6 and it still crashes.

I can't reproduce the error and I've tried many times. Try opening a bunch of tabs; use anything with lots of pictures, and close tabs one by one, that always seems to work for me. You may need to open/close 20-30 tabs.

This works fine for openSUSE 11.3 x86_64
with seamonkey 2.0.6-2.2 :

seamonkey.spec:
...
-ac_add_options --enable-system-cairo
+ac_add_options --disable-system-cairo
...

I don't know if any comfortable features are lost. But the crashes had made
the work already really bad.

Thanks for checking this out. There is/was another issue which would turn up when we use the internal cairo.
This is basically sorted out and I'll drive switching to internal cairo asap (either 11.4 or even for security updates given this bugreport).

The bug is also filed at https://bugzilla.mozilla.org/show_bug.cgi?id=557785

I got the same problem using Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.11) Gecko/20100722 SeaMonkey/2.0.6 with Lucid ; package from the ubuntu repos.

NoOp (glgxg) wrote :

This is what appears to be common:
https://bugzilla.novell.com/show_bug.cgi?id=622375
comments 7-9
> > If I've read the various bugs correctly, the reason the official binary doesn't
> > crash is because it doesn't use --enable-system-cairo. If backporting the
> > 1.9.2 fix doesn't work, perhaps this is a reasonable solution?
SeaMonkey bug report:
https://bugzilla.mozilla.org/show_bug.cgi?id=522635
and that also points to distro specific cairo builds - notice comments
31 & 32.

And this goes back to comment #5 by Micah.

yamo (stephane-gregoire) wrote :

Hi,
I've tried comment #1 https://bugzilla.mozilla.org/show_bug.cgi?id=522635 but seamonkey 2.0.6 doesn't crash, is someone succeeded in reproduce it?

Marcus Comstedt (marcus-mc) wrote :

@yamo:
According to comment #27, the recipe does not work anymore because the content on the sites changed.

I just upgraded from openSUSE 11.2 to 11.3 today and am now experiencing this bug with seamonkey-2.0.6-2.3.x86_64.

There is another Mozilla bug report which is relevant: https://bugzilla.mozilla.org/show_bug.cgi?id=557785

Today, I had the crash when using "close other tabs" (maybe 10 tabs).
When using Seamonkey official build launched whith /usr/local/seamonkey.2.0.6/seamonkey I've never had this bug.

This also looks somewhat similar to https://bugzilla.novell.com/show_bug.cgi?id=626042 although the status there is 172 / 152 / 7. That one is triggered by closing Tabs.

I found out, that the crashes only occur, after you close browser windows or tabs. When you avoid closing any windows or tabs, I never got any crashes.

I'm also experiencing those crashes couple of time a day.

The program 'seamonkey-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 4087814 error_code 172 request_code 152 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

I'm using OpenSUSE 11.3 x86_64.
# rpm -qf `which seamonkey`
seamonkey-2.0.6-2.3.x86_64

Thanks,
  Sagi.

I can confirm that rebuilding the RPM with --disable-system-cairo, as reported in Comment 8, solves this problem. Provided this doesn't adversely affect anything else, is there any chance the spec file could be updated and a new official RPM published for openSUSE 11.3? This bug means that the currently packaged SeaMonkey for 11.3 is pretty useless; waiting for 11.4 isn't going to be an option for most users, and many don't have the technical know-how to patch the spec file and rebuild the RPM themselves.

I've just prepared a new package (probably still building) in the OBS mozilla repository for immediate update possibilities.
I'm planning to release the switch to internal cairo with next security update.

summary: - seamonkey 2.0 in Lucid crashes with 'RenderBadPicture' diagnostics
+ seamonkey 2.0 crashes with 'RenderBadPicture' diagnostics

I have just updated the bug referred to in comment 11 - which is almost certainly the problem addressed in comment 12 - saying that the new package referenced in comment 14 appears to have solved bug 626042.
Two for the price of one?

yamo (stephane-gregoire) wrote :
NoOp (glgxg) wrote :

And that still points to distro specific cairo's that are used in the builds.

$ apt-cache policy libcairo2
libcairo2:
  Installed: 1.8.10-2ubuntu1
  Candidate: 1.8.10-2ubuntu1
  Version table:
 *** 1.8.10-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

Builds that use the mozilla cairo(s) are not affected.

yamo (stephane-gregoire) wrote :

Hi,

Can I use libcairo2 of maverick to see If I still have the bug on Ubuntu lucid?

I'm using Seamonkey 2.0.7 from ubuntu-mozilla-security PPA and I still have this bug (now I see it on Ubuntu-64).

I've downloaded the tarball and compiled myself, and the crashes are completely gone.

The fonts are a little different though.

Hi,

Today I had a lot of crashes on http://browsershots.org, submit an url
to test, wait a long time, click on screenshots...

--
Stéphane

<http://pasdenom.info/fortune>

--

 La chaîne du mariage est si lourde qu'il faut être deux pour la
porter, souvent trois.
 -+- Alexandre Dumas (1802-1870) -+-

seamonkey 2.0.8/2.0.7 solved my problems.
:)

Who has to update the status of the bug? Me or somebody who does qa?

Have a nice day.

I implemented the fix, so I can and if you like you can "verify" (I think).

Set bug to verified. seamonkey-2.0.8-23.1.x86_64 works fine.

*** Bug 626042 has been marked as a duplicate of this bug. ***

*** Bug 598372 has been marked as a duplicate of this bug. ***

Bryce Nesbitt (bryce2) wrote :

As of today's routine system updates, Seamonkey is now unusable for me. The moment I read my mail I get

$ seamonkey
The program 'seamonkey-2.0-bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 47865 error_code 158 request_code 148 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Nikola M (nikolam) wrote :

I use alternative Seamonkey Ubuntu build on Xubuntu 10.04 LTS 64-bit
from non-offical repository for Seamonkey2 and I do not experience any crashes.
You can try installing from :
 https://launchpad.net/~seamonkey2/+archive/seamonkey2
Pre-release and Testing: https://launchpad.net/ubuntu/+ppas?name_filter=seamonkey
Probably, it will not be never official, because of the way it is packaged, but.. it does not crash.
So for workaround untill main repo package is fixed, it is great.

If I can help debugging Seamonkey 2.0 package in main repository that is sadly broken for a long time,
please feel free to contact me!

Changed in seamonkey (Ubuntu Maverick):
status: Triaged → In Progress
assignee: Micah Gersten (micahg) → Mathieu Trudel (mathieu-tl)

Looking at this and how OpenSUSE fixed the issue (for "error_code 158 request_code 148 minor_code 7", although the "error_code 172 request_code 152 minor_code 7" error also doesn't seem to come up anymore), I've made a slight change to the debian/rule to use the in-tree cairo, which is exactly what was done in OpenSUSE to resolve the bug.

So far I haven't seen other side-effects to it aside from seamonkey to not crashing when tabs are closed, but this could benefit some more testing.

For those who want to test this in *Maverick*, make sure you can crash seamonkey 2.0.8+build1+nobinonly-0ubuntu1 by doing a search in Google Image search for something, opening a few tabs with the results, then closing all but one tab before closing seamonkey. If you can reproduce the bug this way, then you should be able to test the seamonkey 2.0.8+build1+nobinonly-0ubuntu2~mtrudel1 in my PPA (https://edge.launchpad.net/~mathieu-tl/+archive/ppa, pending build) and be able to do the same process without seamonkey crashing.

Changed in seamonkey (openSUSE):
importance: Unknown → Medium
status: Unknown → Fix Released

Reworked my branch to apply the patches from Mike Hommey (see upstream bug), which seem to apply properly and correctly fix the issue.

Changed in seamonkey (Ubuntu Maverick):
status: In Progress → Triaged
assignee: Mathieu Trudel (mathieu-tl) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.8+build1+nobinonly-0ubuntu2

---------------
seamonkey (2.0.8+build1+nobinonly-0ubuntu2) maverick; urgency=low

  [ Chris Coulson <email address hidden> ]
  * Fix LP: #646632 - No dictionaries present in Seamonkey. Ship a
    symlink to the system dictionaries and add the necessary postinst
    magic to fix current 2.0.8 users
    - update debian/seamonkey-browser.postinst
    - update debian/rules
    - update debian/seamonkey-browser.install

  [ Mathieu Trudel-Lapierre <email address hidden> ]
  * Fix LP: #575160 - Apply patch set from Debian iceape to fix RenderBadPicture
    errors: properly walk through child windows as a window is destroyed.
    - update debian/patches/series
    - add debian/patches/lp575160_destroy_child_windows.patch
 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 30 Sep 2010 18:12:01 -0400

Changed in seamonkey (Ubuntu Maverick):
status: Triaged → Fix Released

On 10/01/2010 01:05 PM, Launchpad Bug Tracker wrote:
> This bug was fixed in the package seamonkey - 2.0.8+build1+nobinonly-
> 0ubuntu2
>
> ---------------
> seamonkey (2.0.8+build1+nobinonly-0ubuntu2) maverick; urgency=low
>
> [ Chris Coulson <email address hidden> ]
> * Fix LP: #646632 - No dictionaries present in Seamonkey. Ship a
> symlink to the system dictionaries and add the necessary postinst
> magic to fix current 2.0.8 users
> - update debian/seamonkey-browser.postinst
> - update debian/rules
> - update debian/seamonkey-browser.install
>
> [ Mathieu Trudel-Lapierre <email address hidden> ]
> * Fix LP: #575160 - Apply patch set from Debian iceape to fix RenderBadPicture
> errors: properly walk through child windows as a window is destroyed.
> - update debian/patches/series
> - add debian/patches/lp575160_destroy_child_windows.patch
> -- Mathieu Trudel-Lapierre <email address hidden> Thu, 30 Sep 2010 18:12:01 -0400
>
> ** Changed in: seamonkey (Ubuntu Maverick)
> Status: Triaged => Fix Released
>

And can we expect a lucid LTS build?

Chris Coulson (chrisccoulson) wrote :

No, not yet. It's a pretty big patch, we need to let this bake in Maverick for a while first

hi,

yamo a tapoté, le 03/10/2010 11:43:
> Hi,
> May you can apply the patch in 2.0.9?
>
> http://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/2.0.9-candidates/build1/
>
Or in 2.0.10?
 http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.0.10/ ...

--
Stéphane

<http://pasdenom.info/fortune>

 Pour sauver son crédit, il faut cacher sa perte.
 -+- Jean de La Fontaine (1621-1695),
     La Chauve-Souris, le Buisson, et le Canard (Fables XII.7) -+-

Julian Klein (margin-auto) wrote :

So there will be no fix for Ubuntu 10.4 soon?

Brijam (brian-opensourcery) wrote :

Confirming this is /fixed/ for me in Maverick. Thank you!

On 10/02/2010 06:02 AM, Chris Coulson wrote:
> No, not yet. It's a pretty big patch, we need to let this bake in
> Maverick for a while first
>

@Chris Coulson: re Comment #80 2010-10-02... just how long to let this
"bake" in maverick?

Changed in seamonkey (Ubuntu Lucid):
status: Triaged → Fix Committed
Changed in seamonkey (Ubuntu Hardy):
importance: Undecided → High
Changed in seamonkey (Ubuntu Karmic):
importance: Undecided → High
status: New → Fix Committed
Changed in seamonkey (Ubuntu Hardy):
status: New → Fix Committed
NoOp (glgxg) wrote :

And still waiting. BTW: SeaMonkey has moved on to 2.0.11 with considerable security fixes:

<http://www.seamonkey-project.org/releases/seamonkey2.0.11/>
<http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html#seamonkey2.0.11>

Fixed in SeaMonkey 2.0.11
MFSA 2010-84 XSS hazard in multiple character encodings
MFSA 2010-83 Location bar SSL spoofing using network error page
MFSA 2010-82 Incomplete fix for CVE-2010-0179
MFSA 2010-81 Integer overflow vulnerability in NewIdArray
MFSA 2010-80 Use-after-free error with nsDOMAttribute MutationObserver
MFSA 2010-79 Java security bypass from LiveConnect loaded via data: URL meta refresh
MFSA 2010-78 Add support for OTS font sanitizer
MFSA 2010-77 Crash and remote code execution using HTML tags inside a XUL tree
MFSA 2010-76 Chrome privilege escalation with window.open and <isindex> element
MFSA 2010-75 Buffer overflow while line breaking after document.write with long string
MFSA 2010-74 Miscellaneous memory safety hazards (rv:1.9.2.13/ 1.9.1.16)

Do none of these affect Ubuntu users? Or are SeaMonkey users left to fend for themselves? SM 2.0.11 was released 10 days ago: http://www.seamonkey-project.org/news (December 9, 2010), and 2.0.11 is only showing up in Natty, an alpha system:
https://launchpad.net/ubuntu/+source/seamonkey

I've given up. I'll simply continue to install SeaMonkey directly from the seamonkey project and/or from Joe Lesko's builds:
https://launchpad.net/~seamonkey2/+archive/seamonkey2
https://launchpad.net/~seamonkey2
for as long as he'll kindly provide them.

Good luck & good night.

Micah Gersten (micahg) wrote :

The Seamonkey 2.0.11 builds have been staged for the last 2 weeks here:
https://launchpad.net/~ubuntu-mozilla-security/+archive/ppa
However, without any testing, we were not able to push them out. I did
some basic testing over the weekend and they should be released soon. I
try to keep the topic in #ubuntu-mozillateam updated with what needs
testing if you'd like to help test the Seamonkey builds before each
release.

NoOp (glgxg) wrote :

On 12/19/2010 07:27 PM, Micah Gersten wrote:
> The Seamonkey 2.0.11 builds have been staged for the last 2 weeks here:
> https://launchpad.net/~ubuntu-mozilla-security/+archive/ppa
> However, without any testing, we were not able to push them out. I did
> some basic testing over the weekend and they should be released soon. I
> try to keep the topic in #ubuntu-mozillateam updated with what needs
> testing if you'd like to help test the Seamonkey builds before each
> release.
>

Thanks Michah, I'll add your PPA and run on my semi-production machines
(32bit and 64bit). Would you like bugs report here:
https://bugs.launchpad.net/~ubuntu-mozilla-security
or directly?

Micah Gersten (micahg) wrote :

On 12/19/2010 10:16 PM, NoOp wrote:
> Thanks Michah, I'll add your PPA and run on my semi-production machines
> (32bit and 64bit). Would you like bugs report here:
> https://bugs.launchpad.net/~ubuntu-mozilla-security
> or directly?

Any bugs reports can be filed against Seamonkey in Ubuntu. Thanks.

NoOp (glgxg) wrote :

On 12/19/2010 08:31 PM, Micah Gersten wrote:
> On 12/19/2010 10:16 PM, NoOp wrote:
>> Thanks Michah, I'll add your PPA and run on my semi-production machines
>> (32bit and 64bit). Would you like bugs report here:
>> https://bugs.launchpad.net/~ubuntu-mozilla-security
>> or directly?
>
> Any bugs reports can be filed against Seamonkey in Ubuntu. Thanks.
>

Seems to be holding up on 10.04 & 10.10 (32bit & 64bit). Only issue that
I've found is that it does not add a menu item in 'Applications'. I' run
it for a few more days & on additional systems and will file a
applications menu bug then.

$ apt-cache policy seamonkey
seamonkey:
  Installed: 2.0.11+build1+nobinonly-0ubuntu0.10.04.1
  Candidate: 2.0.11+build1+nobinonly-0ubuntu0.10.04.1
  Version table:
 *** 2.0.11+build1+nobinonly-0ubuntu0.10.04.1 0
        500 http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu/
lucid/main Packages
        100 /var/lib/dpkg/status
     2.0.10+build1+nobinonly-0ubuntu0.10.04.1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/universe
Packages
        500 http://security.ubuntu.com/ubuntu/ lucid-security/universe
Packages
     2.0.4+nobinonly-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/universe Packages

(this system).

NoOp (glgxg) wrote :

No crashes & all seems to be working fine. Please release 2.0.11.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.11+build1+nobinonly-0ubuntu0.8.04.1

---------------
seamonkey (2.0.11+build1+nobinonly-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream release v2.0.11 (SEAMONKEY_2_0_11_BUILD1)
  * SECURITY UPDATE:
    - http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html#seamonkey2.0.11
  * Fixes LP: #575160 - seamonkey 2.0 crashes with 'RenderBadPicture'
 -- Chris Coulson <email address hidden> Mon, 06 Dec 2010 13:48:43 +0000

Changed in seamonkey (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.11+build1+nobinonly-0ubuntu0.10.04.1

---------------
seamonkey (2.0.11+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v2.0.11 (SEAMONKEY_2_0_11_BUILD1)
  * SECURITY UPDATE:
    - http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html#seamonkey2.0.11
  * Fixes LP: #575160 - seamonkey 2.0 crashes with 'RenderBadPicture'
 -- Chris Coulson <email address hidden> Mon, 06 Dec 2010 13:43:46 +0000

Changed in seamonkey (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.11+build1+nobinonly-0ubuntu0.9.10.1

---------------
seamonkey (2.0.11+build1+nobinonly-0ubuntu0.9.10.1) karmic-security; urgency=low

  * New upstream release v2.0.11 (SEAMONKEY_2_0_11_BUILD1)
  * SECURITY UPDATE:
    - http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html#seamonkey2.0.11
  * Fixes LP: #575160 - seamonkey 2.0 crashes with 'RenderBadPicture'
 -- Chris Coulson <email address hidden> Mon, 06 Dec 2010 13:46:58 +0000

Changed in seamonkey (Ubuntu Karmic):
status: Fix Committed → Fix Released

Closing as fixed.

Download full text (11.1 KiB)

I am using Ubuntu 11.04 32 bit edition.
I installed Seamonkey 2.0.13, latest version.

Some sites work fine. But when I sign into some email and then try clicking compose or attach a file. It crashes and gives following error.

I am able to use same email is Firefox browser without any problems.

Here are details:

*** buffer overflow detected ***: /usr/lib/seamonkey-2.0.13/seamonkey-2.0-bin terminated
======= Backtrace: =========
/lib/i386-linux-gnu/libc.so.6(__fortify_fail+0x50)[0xab4df0]
/lib/i386-linux-gnu/libc.so.6(+0xe4cca)[0xab3cca]
/lib/i386-linux-gnu/libc.so.6(__strcpy_chk+0x3f)[0xab305f]
/usr/lib/seamonkey-2.0.13/components/libspellchecker.so(+0x1e005)[0x62be005]
/usr/lib/seamonkey-2.0.13/components/libspellchecker.so(+0x1e766)[0x62be766]
/usr/lib/seamonkey-2.0.13/components/libspellchecker.so(+0x1e8b6)[0x62be8b6]
/usr/lib/seamonkey-2.0.13/components/libspellchecker.so(+0x1eaca)[0x62beaca]
/usr/lib/seamonkey-2.0.13/components/libspellchecker.so(+0xd75c)[0x62ad75c]
/usr/lib/seamonkey-2.0.13/components/libspellchecker.so(+0x4c75)[0x62a4c75]
/usr/lib/seamonkey-2.0.13/components/libcomposer.so(+0xc7b2)[0x526e7b2]
/usr/lib/seamonkey-2.0.13/components/libcomposer.so(+0xd024)[0x526f024]
/usr/lib/seamonkey-2.0.13/components/libspellchecker.so(+0x94c7)[0x62a94c7]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0x3e0b5c)[0x1dd1b5c]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0x3df2ab)[0x1dd02ab]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0x18c6ed)[0x1b7d6ed]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf725a)[0x1ae825a]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf102c)[0x1ae202c]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf12ab)[0x1ae22ab]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf2987)[0x1ae3987]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf83fe)[0x1ae93fe]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf9431)[0x1aea431]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf0fbb)[0x1ae1fbb]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf12ab)[0x1ae22ab]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf2987)[0x1ae3987]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf8706)[0x1ae9706]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf940a)[0x1aea40a]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf0fbb)[0x1ae1fbb]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf12ab)[0x1ae22ab]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf2987)[0x1ae3987]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf74a9)[0x1ae84a9]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf93a4)[0x1aea3a4]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf0fbb)[0x1ae1fbb]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf12ab)[0x1ae22ab]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf2987)[0x1ae3987]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf7bfd)[0x1ae8bfd]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf9331)[0x1aea331]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf0fbb)[0x1ae1fbb]
/usr/lib/seamonkey-2.0.13/components/libgklayout.so(+0xf12ab)[0x1ae22ab]
/usr/lib/seam...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.